# AVW SDK 使用指南（beta 1）

## 前提条件

已安装 Node.js 及其附带的包管理工具 NPM (<https://nodejs.org/zh-cn/>)。

已安装 Microsoft Visual Studio Code (<https://code.visualstudio.com>)。

在安装 AVW SDK 之前，先确保自己的 NPM 注册表设置为全球注册表。

```bash
local:~ user$ npm config get registry
https://registry.npmjs.org/
```

如果当前不是全球注册表，需要更改为全球注册表，以免无法获取软件包，或者从镜像注册表获取到过时的软件包。

```bash
local:~ user$ npm config set registry https://registry.npmjs.org/
```

## 安装 AVW SDK

执行命令：

```bash
local:~ user$ npm install -g avwsdkb1
```

输出：

```bash

```

安装成功后，就可以在本机命令行执行 avwsdk 命令，来创建 AVW 组件项目，或是在组件项目中创建组件。

此后可以将 NPM 注册表重新设置为访问速度更快的镜像注册表。

cnpmjs.org 镜像：

```bash
local:~ user$ npm config set registry https://registry.cnpmjs.org/
```

淘宝镜像：

```bash
local:~ user$ npm config set registry https://registry.npm.taobao.org/
```

## 验证安装

执行命令：

```bash
local:~ user$ avwsdk -h
```

输出：

```bash
Usage: avwsdk [options] <names ...>

Options:
  -p, --newProject <projectName>                      创建新的 AVW 二次开发项目及其目录
  -c, --newComponent <category>/<name>/<chineseName>  输入要创建的组件类别、名称、中文名称，组件类别采用驼峰命名法，名称采用 Pascal 命名法
  -h, --help                                          display help for command
```

如果看到上述输出，证明 AVW SDK 安装成功。

## 创建 AVW 组件项目

执行命令：

```bash
local:~ user$ avwsdk -p AvwComponentProj
```

输出：

```bash
准备创建 AVW 二次开发组件项目：AvwComponentProj...
信息: 已创建 AVW 二次开发组件项目。
信息: 正在复制文件...
信息: 已复制 AvwComponentProj/babel.config.js
...
信息: 项目创建成功，您还需要进入项目目录并运行 "npm install" 完成项目设置。

===================================   提示   ===================================
要启动 SDK，请进入项目目录，先运行 "npm install"，然后运行 "npm run serve"。
================================================================================
```

执行命令：

```bash
local:~ user$ cd AvwComponentProj
local:AvwComponentProj user$ npm install
```

输出：

```bash

```

## 在项目中创建 AVW 组件

一个 AVW 组件项目中可创建多个组件，便于组织开发。要在项目中创建组件，执行命令：

```bash
local:AvwComponentProj user$ avwsdk -c bar/AmazingBar/神奇柱图
```

输出：

```bash
信息: 新组件创建成功。
信息: 已复制 AvwComponentProj/bar/amazingBar/AmazingBar.vue
...
```
