import {
    componentDescribeDatas,
    gislayerDescribeDatas,
    scenelayerDescribeDatas,
    chartTypeDictionary
} from './data';

// import 后的变量名称需要和 type 对应，否则无法动态生成

// 请勿修改以下部分的注释，否则 SDK 可能工作异常
// 图表导入开始
import barStack from './bar/barStack/index';
import dropDown from './base/dropdown/index';

// 组件列表
const components = [
    barStack,
    dropDown
];
// 图表导入结束
// 请勿修改以上部分的注释，否则 SDK 可能工作异常

const install = function (Vue) {
    components.map(component => {
        Vue.component(component.name, component);
    });
}

// 支持使用标签方式引用
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}


export default {
    Version: 1.0,
    install,
    components,
    ...components,
    componentDescribeDatas,
    gislayerDescribeDatas,
    scenelayerDescribeDatas,
    chartTypeDictionary
}